org.apache.solr.client.solrj.impl

## Class SolrPortAwareCookieSpecFactory.PortAwareDomainHandler

- java.lang.Object
- - org.apache.http.impl.cookie.BasicDomainHandler
  - - org.apache.http.impl.cookie.NetscapeDomainHandler
    - - org.apache.solr.client.solrj.impl.SolrPortAwareCookieSpecFactory.PortAwareDomainHandler

All Implemented Interfaces:
  org.apache.http.cookie.CommonCookieAttributeHandler, org.apache.http.cookie.CookieAttributeHandler

Enclosing class:
  SolrPortAwareCookieSpecFactory

    public static class SolrPortAwareCookieSpecFactory.PortAwareDomainHandler
    extends org.apache.http.impl.cookie.NetscapeDomainHandler

A domain handler to validate and match cookies based on the domain and origin. The domain is tested against host and port both, and if it doesn't match, it delegates the handling to the base class' matching/validation logic.

### Constructor Summary

Constructors
Constructor and Description
`PortAwareDomainHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `match(org.apache.http.cookie.Cookie cookie, org.apache.http.cookie.CookieOrigin origin)`
`void` `validate(org.apache.http.cookie.Cookie cookie, org.apache.http.cookie.CookieOrigin origin)`

### Methods inherited from class org.apache.http.impl.cookie.NetscapeDomainHandler

`getAttributeName, parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PortAwareDomainHandler

    public PortAwareDomainHandler()

### Method Detail

#### validate

    public void validate(org.apache.http.cookie.Cookie cookie,
                         org.apache.http.cookie.CookieOrigin origin)
                  throws org.apache.http.cookie.MalformedCookieException

Specified by:
  `validate` in interface `org.apache.http.cookie.CookieAttributeHandler`
Overrides:
  `validate` in class `org.apache.http.impl.cookie.NetscapeDomainHandler`
Throws:
  `org.apache.http.cookie.MalformedCookieException`

#### match

    public boolean match(org.apache.http.cookie.Cookie cookie,
                         org.apache.http.cookie.CookieOrigin origin)

Specified by:
  `match` in interface `org.apache.http.cookie.CookieAttributeHandler`
Overrides:
  `match` in class `org.apache.http.impl.cookie.NetscapeDomainHandler`